# Generated by Django 4.1.10 on 2024-02-20 09:19

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models.legacy


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0083_workflowcontenttype"),
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
        ("main", "0073_alter_mainhomepage_content"),
    ]

    operations = [
        migrations.CreateModel(
            name="MainResultsPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "flip_cards",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "cards",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Nadpis"
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Obsah"
                                                            ),
                                                        ),
                                                        (
                                                            "button_text",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                                label="Nadpis tlačítka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "button_url",
                                                            wagtail.blocks.CharBlock(
                                                                label="Odkaz tlačítka",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Karta",
                                                ),
                                                label="Karty",
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    template="styleguide2/includes/atoms/text/prose_richtext.html"
                                ),
                            ),
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Obsah",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Výsledky",
            },
            bases=(
                shared.models.main.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
